%define CLAMAV_VERSION 0.92
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           sagator-libclamav
Version:        1.2.3
Release:        1%{?dist}
Summary:        ClamAV module for python, created for SAGATOR project

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.salstar.sk/sagator/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %_vendor == "suse"
Requires:       clamav >= %{CLAMAV_VERSION}
BuildRequires:  python-devel, pyrex, clamav >= %{CLAMAV_VERSION}, c_compiler
%else
Requires:       clamav-lib >= %{CLAMAV_VERSION}
BuildRequires:  python-devel >= 2.3, Pyrex >= 0.9.2.1
BuildRequires:  clamav-devel >= %{CLAMAV_VERSION}
%endif

%description
This is a ClamAV native support for python via libclamav for SAGATOR,
but may be used for any python script.
Script "example.py" is a part of this package.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install \
  -O1 --skip-build --prefix %{_prefix} --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README example.py
%attr(0755,root,root) %{python_sitearch}/*


%changelog
* Wed Sep 06 2006 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.2.3-1
- package separated from sagator's main package
